
Foreman - Bug #1426

Foreman should not fail if dns domain has no SOA or NS records

01/03/2012 09:02 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: DNS   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

currently foreman tries to search the domain for its SOA or NS servers.

This is done in order to ask the relevant dns server (and not cached result).

if SOA or NS is not defined (or used via $ORIGIN for example) then foreman should not fail.

Related issues:

Has duplicate Foreman - Bug #1430: Adding a new host in a subdomain that has ... Duplicate 01/05/2012

Associated revisions

Revision 3c4db812 - 01/03/2012 09:02 AM - Ohad Levy

fixes #1426 - Foreman should not fail if dns domain has no SOA or NS records

History

#1 - 01/03/2012 09:55 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 3c4db812bc6207186d410acb2be18dcf01d33cd1.
